org.apache.storm.container.oci

## Class OciContainerExecutorConfig

- java.lang.Object
- - org.apache.storm.container.oci.OciContainerExecutorConfig

-     public class OciContainerExecutorConfig
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OciContainerExecutorConfig.OciLayer`
    `static class` | `OciContainerExecutorConfig.OciRuntimeConfig`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OciContainerExecutorConfig()`
    `OciContainerExecutorConfig(String username, String containerId, String pidFile, String containerScriptPath, List<OciContainerExecutorConfig.OciLayer> layers, int reapLayerKeepCount, OciContainerExecutorConfig.OciRuntimeConfig ociRuntimeConfig)`
    `OciContainerExecutorConfig(String version, String username, String containerId, String pidFile, String containerScriptPath, List<OciContainerExecutorConfig.OciLayer> layers, int reapLayerKeepCount, OciContainerExecutorConfig.OciRuntimeConfig ociRuntimeConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContainerId()`
    `String` | `getContainerScriptPath()`
    `List<OciContainerExecutorConfig.OciLayer>` | `getLayers()`
    `OciContainerExecutorConfig.OciRuntimeConfig` | `getOciRuntimeConfig()`
    `String` | `getPidFile()`
    `int` | `getReapLayerKeepCount()`
    `String` | `getUsername()`
    `String` | `getVersion()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OciContainerExecutorConfig

          public OciContainerExecutorConfig()

    - #### OciContainerExecutorConfig

          public OciContainerExecutorConfig(String username,
                                            String containerId,
                                            String pidFile,
                                            String containerScriptPath,
                                            List<OciContainerExecutorConfig.OciLayer> layers,
                                            int reapLayerKeepCount,
                                            OciContainerExecutorConfig.OciRuntimeConfig ociRuntimeConfig)

    - #### OciContainerExecutorConfig

          public OciContainerExecutorConfig(String version,
                                            String username,
                                            String containerId,
                                            String pidFile,
                                            String containerScriptPath,
                                            List<OciContainerExecutorConfig.OciLayer> layers,
                                            int reapLayerKeepCount,
                                            OciContainerExecutorConfig.OciRuntimeConfig ociRuntimeConfig)

  - ### Method Detail

    - #### getVersion

          public String getVersion()

    - #### getUsername

          public String getUsername()

    - #### getContainerId

          public String getContainerId()

    - #### getPidFile

          public String getPidFile()

    - #### getContainerScriptPath

          public String getContainerScriptPath()

    - #### getLayers

          public List<OciContainerExecutorConfig.OciLayer> getLayers()

    - #### getReapLayerKeepCount

          public int getReapLayerKeepCount()

    - #### getOciRuntimeConfig

          public OciContainerExecutorConfig.OciRuntimeConfig getOciRuntimeConfig()

Copyright © 2021 The Apache Software Foundation. All rights reserved.